Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84300 - normal xterm needs an icon
Summary: normal xterm needs an icon
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-14 06:23 UTC by Stephen John Smoogen
Modified: 2007-03-27 04:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-11 10:19:15 UTC


Attachments (Terms of Use)

Description Stephen John Smoogen 2003-02-14 06:23:04 UTC
Description of problem:

xterm needs to be linked against an icon. Currently it has the default page
icon, but should probably use the gnome-xterm.png icon. I am not sure where this
gets linked so put it in redhat-artwork.

Comment 1 Havoc Pennington 2003-02-18 19:41:44 UTC
The icons are set by the apps themselves, so xterm code would require modification. 

Comment 2 Mike A. Harris 2003-02-18 23:04:38 UTC
This is a feature enhancement/modification that the xterm author (Thomas Dickey)
would have to make to upstream sources first and then get integrated into
XFree86, and then into Red Hat Linux via upstream.

If you would like to see this enhancement made, please email the xterm
author directly, or the xfree86@xfree86.org mailing list to request the
feature.

Closing enhancement request as UPSTREAM


Comment 3 Thomas E. Dickey 2003-02-21 21:01:17 UTC
actually not.  It's a customization that Redhat could easily make without compiling 
xterm.  It would be done by setting the iconPixmap resource, e.g.,
   *iconPixmap: terminal
Although the "terminal" pixmap is in the standard distribution, I don't recall seeing
it used for a very long time (X11R4).  A more suitable choice would be what KDE
uses - I don't know the name of that file.


Comment 4 Stephen John Smoogen 2003-02-22 00:53:29 UTC
Ok this looks like a build patch then..

Comment 5 Mike A. Harris 2003-04-11 10:19:15 UTC
Closing WONTFIX


Note You need to log in before you can comment on or make changes to this bug.